upgrade to 2.1.2, can't use ldap sign or test ldap

2012-10-08 05:35 - Yuan-Chung Hsiao

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: LDAP Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version:  

Description

NoMethodError (private method `timeout' called for #<AuthSourceLdap:0x0000100d1170c0>):

  app/models/auth_source_ldap.rb:70:in `with_timeout'

  app/models/auth_source_ldap.rb:42:in `authenticate'

  app/models/user.rb:142:in `try_to_login'

  app/controllers/account_controller.rb:159:in `password_authentication'

  app/controllers/account_controller.rb:154:in `authenticate_user'

  app/controllers/account_controller.rb:30:in `login'

Failed login for 'admin' from 192.168.0.249 at 2012-10-08 03:29:53 UTC

ActionView::Template::Error (wrong number of arguments (0 for 1)):

    27: <%= text_field 'auth_source', 'filter', :size => 60 %></p>

    28: 

    29: <p><label for="auth_source_timeout"><%=l(:field_timeout)%></label>

    30: <%= text_field 'auth_source', 'timeout', :size => 4 %></p>

    31: 

    32: <p><label for="auth_source_onthefly_register"><%=l(:field_onthefly)%></label>

    33: <%= check_box 'auth_source', 'onthefly_register' %></p>

  app/views/auth_sources/_form_auth_source_ldap.html.erb:30:in `_app_views_auth_sources__form_auth

_source_ldap_html_erb___4495202370746076349_34470036700'

  app/views/auth_sources/edit.html.erb:4:in `block in _app_views_auth_sources_edit_html_erb___1076

523837719751993_34467518680'

  app/views/auth_sources/edit.html.erb:3:in `_app_views_auth_sources_edit_html_erb___1076523837719

751993_34467518680'

try to add new auth_sources, still the same error  

About your application's environment

Ruby version              1.9.3 (amd64-freebsd8)

RubyGems version          1.8.24

Rack version              1.4

Rails version             3.2.8

Active Record version     3.2.8

Action Pack version       3.2.8

Active Resource version   3.2.8

Action Mailer version     3.2.8

Active Support version    3.2.8

Middleware                Rack::Cache, ActionDispatch::Static, Rack::Lock, #<ActiveSupport::Cache:

:Strategy::LocalCache::Middleware:0x0000100259d6b8>, Rack::Runtime, Rack::MethodOverride, ActionDi

spatch::RequestId, Rails::Rack::Logger, ActionDispatch::ShowExceptions, ActionDispatch::DebugExcep

tions, ActionDispatch::RemoteIp, ActionDispatch::Callbacks, ActiveRecord::ConnectionAdapters::Conn

ectionManagement, ActiveRecord::QueryCache, ActionDispatch::Cookies, ActionDispatch::Session::Cook

ieStore, ActionDispatch::Flash, ActionDispatch::ParamsParser, ActionDispatch::Head, Rack::Conditio

nalGet, Rack::ETag, ActionDispatch::BestStandardsSupport, OpenIdAuthentication

Application root          /srv/webroot/bug.stu.edu.tw

Environment               production

Database adapter          mysql2

Database schema version   20120422150750
#1 - 2012-10-08 16:14 - Jean-Philippe Lang

- Resolution set to Cant reproduce

Make sure you've properly migrated your database (rake db:migrate RAILS_ENV=production) and restarted your Redmine instance.

#2 - 2018-10-03 04:48 - Go MAEDA

- Category set to LDAP

- Status changed from New to Closed

Please open a new issue if you still experience the problem with the latest version of Redmine.
